Subject: [Roll] Fwd: New Version Notification for draft-dt-roll-p2p-rpl-01

From: Mukul Goyal <[email-masked]>
Date: Mon, 14 Jun 2010 13:09:09 -0500 (CDT)

Hi all

A revision has been posted for the P2P draft. I will be making a presentation about the draft during the virtual ROLL meeting on June 16th.

The previous version of the draft presented a high level description of the P2P mechanisms: a reactive discovery mechanism and a mechanism to measure the routing cost of an existing path.

In the new version, we have included the definitions of the following objects/options required for P2P route discovery:

1. Route Discovery option to sit inside a DIO
2. Discovery Reply Object - a new RPL control message
3. Source Route option - carries an accumulated source route to the other end.

The Measurement mechanism has been removed from the draft. It will be presented as a separate draft.

We solicit comments and criticism!

Thanks
Mukul
----- Forwarded Message -----
From: "IETF I-D Submission Tool" <[email-masked]>
To: [email-masked]
Cc: "Emmanuel Baccelli" <[email-masked]>
Sent: Monday, June 14, 2010 1:02:50 PM
Subject: New Version Notification for draft-dt-roll-p2p-rpl-01

A new version of I-D, draft-dt-roll-p2p-rpl-01.txt has been successfully
submitted by Mukul Goyal and posted to the IETF repository.

Filename: draft-dt-roll-p2p-rpl
Revision: 01
Title: Reactive Discovery of Point-to-Point Routes in Low Power and
Lossy Networks
Creation_date: 2010-06-14
WG ID: Independent Submission
Number_of_pages: 20

Abstract: This document describes a mechanism to discover and establish
"on demand" one or more routes between two routers in a low power and
lossy network.

The IETF Secretariat.